<?php

include 'conexion.php';
$nom_tip_categoria=$_GET['nom_tip_categoria'];

$consulta = "SELECT tipo_compra.id_tip_compra FROM tipo_compra WHERE tipo_compra.nom_tip_compra = '$nom_tip_categoria'";
$resultado = $conexion->query($consulta);

if($resultado){
    echo "si";
}else{
    echo "Hay un error en la consulta";
}

while($fila = $resultado -> fetch_array()){
    $compras[] = array_map('utf8_encode', $fila);
}

echo json_encode($compras);
$resultado -> close();

?>